*** config/perl.m4
--- config/perl.m4
***************
*** 10,16 **** if test -z "$PERL"; then
  fi
  
  if test "$PERL"; then
!   pgac_perl_version=`$PERL -v 2>/dev/null | sed -n ['s/This is perl, v[a-z ]*//p'] | sed ['s/ .*//']`
    AC_MSG_NOTICE([using perl $pgac_perl_version])
    if echo "$pgac_perl_version" | sed ['s/[.a-z_]/ /g'] | \
      $AWK '{ if ([$]1 = 5 && [$]2 >= 8) exit 1; else exit 0;}'
--- 10,16 ----
  fi
  
  if test "$PERL"; then
!   pgac_perl_version=`$PERL -v 2>/dev/null | sed -n ['s/This is perl.*v[a-z ]*\([0-9]\.[\.0-9]*\).*$/\1/p']`
    AC_MSG_NOTICE([using perl $pgac_perl_version])
    if echo "$pgac_perl_version" | sed ['s/[.a-z_]/ /g'] | \
      $AWK '{ if ([$]1 = 5 && [$]2 >= 8) exit 1; else exit 0;}'
*** configure
--- configure
***************
*** 6867,6873 **** fi
  fi
  
  if test "$PERL"; then
!   pgac_perl_version=`$PERL -v 2>/dev/null | sed -n 's/This is perl, v[a-z ]*//p' | sed 's/ .*//'`
    { $as_echo "$as_me:$LINENO: using perl $pgac_perl_version" >&5
  $as_echo "$as_me: using perl $pgac_perl_version" >&6;}
    if echo "$pgac_perl_version" | sed 's/[.a-z_]/ /g' | \
--- 6867,6873 ----
  fi
  
  if test "$PERL"; then
!   pgac_perl_version=`$PERL -v 2>/dev/null | sed -n 's/This is perl.*v[a-z ]*\([0-9]\.[\.0-9]*\).*$/\1/p'`
    { $as_echo "$as_me:$LINENO: using perl $pgac_perl_version" >&5
  $as_echo "$as_me: using perl $pgac_perl_version" >&6;}
    if echo "$pgac_perl_version" | sed 's/[.a-z_]/ /g' | \
